## What is GemBox.Document?

GemBox.Document is a .NET component that enables you to read, write, convert, and print document files (DOCX, DOC, PDF, RTF, HTML, and ODT) from .NET applications.

With GemBox.Document you get a fast and reliable component that’s easy to use and doesn't depend on Microsoft Word. It requires only .NET and it’s much faster than Microsoft Office Automation!

## GemBox.Document Features

- [Read](https://www.gemboxsoftware.com/document/examples/c-sharp-vb-net-open-read-word-file/301) DOC, DOCX, ODT, HTML, MHTML, RTF, TXT, Flat OPC, WordML, and [PDF](https://www.gemboxsoftware.com/document/examples/c-sharp-read-extract-pdf-tables/305) documents.
- [Create or write](https://www.gemboxsoftware.com/document/examples/c-sharp-vb-net-create-write-word-file/302) and [convert](https://www.gemboxsoftware.com/document/examples/c-sharp-convert-word-to-pdf/304) to DOCX, ODT, HTML, MHTML, RTF, TXT, Flat OPC, PDF, XPS, and image formats (SVG, PNG, JPEG, GIF, BMP, TIFF, WMP).
- View and edit documents in [Azure Functions](https://www.gemboxsoftware.com/document/examples/create-word-pdf-on-azure-functions-app-service/5901), [Blazor](https://www.gemboxsoftware.com/document/examples/blazor-create-word/5602), [ASP.NET Core](https://www.gemboxsoftware.com/document/examples/asp-net-core-create-word-docx-pdf/5601), [ASP.NET](https://www.gemboxsoftware.com/document/examples/word-editor-asp-net-mvc/5102), [MAUI](https://www.gemboxsoftware.com/document/examples/create-word-file-maui/5802), [WPF](https://www.gemboxsoftware.com/document/examples/word-wpf-xpsdocument-imagesource/5201), and [Windows Forms](https://www.gemboxsoftware.com/document/examples/word-editor-windows-forms/5301) applications.
- Process documents on Windows, [Linux, macOS](https://www.gemboxsoftware.com/document/examples/create-word-file-xamarin/5801), [Android, and iOS](https://www.gemboxsoftware.com/document/examples/create-word-file-xamarin/5801) operating systems.
- [Print](https://www.gemboxsoftware.com/document/examples/c-sharp-vb-net-print-word/351) documents.
- [Extract individual pages](https://www.gemboxsoftware.com/document/examples/extract-individual-pages/112) from the documents.
- [Protect](https://www.gemboxsoftware.com/document/examples/docx-write-protection/1101), [restrict](https://www.gemboxsoftware.com/document/examples/restrict-editing/1105), [encrypt](https://www.gemboxsoftware.com/document/examples/c-sharp-vb-net-docx-encryption/1102), and [digitally sign](https://www.gemboxsoftware.com/document/examples/c-sharp-vb-net-pdf-digital-signature/1104) documents.
- Get, create, or edit [paragraphs](https://www.gemboxsoftware.com/document/examples/c-sharp-vb-net-create-write-word-file/302), [text](https://www.gemboxsoftware.com/document/examples/c-sharp-vb-net-create-write-word-file/302), [tables](https://www.gemboxsoftware.com/document/examples/create-table-in-word-csharp/1201), [table of content](https://www.gemboxsoftware.com/document/examples/c-sharp-vb-net-create-update-word-toc/207), [hyperlinks](https://www.gemboxsoftware.com/document/examples/word-bookmarks-hyperlinks/204), [bookmarks](https://www.gemboxsoftware.com/document/examples/word-bookmarks-hyperlinks/204), [comments](https://www.gemboxsoftware.com/document/examples/word-comments/215), [fields](https://www.gemboxsoftware.com/document/examples/word-fields/206), [barcodes](https://www.gemboxsoftware.com/document/examples/generate-barcodes-qr-codes-csharp-vb-net/217), [content controls](https://www.gemboxsoftware.com/document/examples/content-controls/106), [sections](https://www.gemboxsoftware.com/document/examples/c-sharp-vb-net-create-write-word-file/302), [watermarks](https://www.gemboxsoftware.com/document/examples/word-watermarks/214), [headers and footers](https://www.gemboxsoftware.com/document/examples/word-header-footer/208), and [footnotes and endnotes](https://www.gemboxsoftware.com/document/examples/word-footnote-endnote/212).
- Get, create, or edit drawings like [shapes](https://www.gemboxsoftware.com/document/examples/word-shapes/203), [pictures](https://www.gemboxsoftware.com/document/examples/word-pictures/201), [text boxes](https://www.gemboxsoftware.com/document/examples/word-textboxes/202), and [charts](https://www.gemboxsoftware.com/document/examples/word-charts/213).
- Get, create, or edit [paragraph](https://www.gemboxsoftware.com/document/examples/word-paragraph-formatting/602), [character](https://www.gemboxsoftware.com/document/examples/word-character-formatting/601), [list](https://www.gemboxsoftware.com/document/examples/word-lists/603), [table](https://www.gemboxsoftware.com/document/examples/word-table-formatting/1204), [table row](https://www.gemboxsoftware.com/document/examples/word-table-formatting/1204), and [table cell](https://www.gemboxsoftware.com/document/examples/word-table-formatting/1204) formatting.
- Get, create, or edit [paragraph](https://www.gemboxsoftware.com/document/examples/word-styles/604), [list](https://www.gemboxsoftware.com/document/examples/word-lists/603), [character](https://www.gemboxsoftware.com/document/examples/word-styles/604), and [table](https://www.gemboxsoftware.com/document/examples/word-table-styles/1205) styles.
- Access or modify [page properties](https://www.gemboxsoftware.com/document/examples/word-page-setup/209), [auto hyphenation](https://www.gemboxsoftware.com/document/examples/auto-hyphenation/109), [revisions](https://www.gemboxsoftware.com/document/examples/word-track-changes/216), [macros](https://www.gemboxsoftware.com/document/examples/vba-macros/111), and more.
- Get and set [built-in and custom document properties](https://www.gemboxsoftware.com/document/examples/word-properties/211).
- [Clone](https://www.gemboxsoftware.com/document/examples/cloning/501) or [import](https://www.gemboxsoftware.com/document/examples/combine-word-file-c-sharp-vb-net/502) document elements between documents.
- Find, highlight, or [replace document content](https://www.gemboxsoftware.com/document/examples/c-sharp-vb-net-find-replace-word/405).
- Replace or [set bookmark content](https://www.gemboxsoftware.com/document/examples/word-bookmarks-hyperlinks/204).
- [Insert](https://www.gemboxsoftware.com/document/examples/c-sharp-vb-net-manipulate-content-word/403) HTML, RTF, or TXT string into specific document position.
- [Execute mail merge](https://www.gemboxsoftware.com/document/examples/c-sharp-vb-net-mail-merge-word/901) to import data into a document from various data sources and control the document [import region](https://www.gemboxsoftware.com/document/examples/mail-merge-ranges/903), and [import process](https://www.gemboxsoftware.com/document/examples/customize-mail-merge/904).
- Create or read [form fields](https://www.gemboxsoftware.com/document/examples/c-sharp-vb-net-create-word-form/701).
- [Track progress or cancel](https://www.gemboxsoftware.com/document/examples/progress-reporting-and-cancellation/108) long-running operations like loading and saving large documents.
- [Specify fonts location](https://www.gemboxsoftware.com/document/examples/fonts/103) when exporting to PDF, XPS, or image formats.
- [Preserve](https://www.gemboxsoftware.com/document/examples/word-preservation/1001) unsupported document content elements and properties when reading a document.

## Get Started

You are not sure how to start working with Word documents in .NET using GemBox.Document? Check the code below that shows how to create a DOCX file from scratch and write 'Hello World!' on it.

```csharp
// If using Professional version, put your serial key below.
ComponentInfo.SetLicense("FREE-LIMITED-KEY");

// Create a new empty document.
var document = new DocumentModel();

// Add a section with one paragraph and some text.
document.Sections.Add(
    new Section(document,
        new Paragraph(document, "Hello World!")));

// Save the document as Word's DOCX file.
document.Save("Output.docx");
```

For more GemBox.Document code examples and demos, please visit our [examples page](https://www.gemboxsoftware.com/document/examples/getting-started/801).

## Resources

- [Product Page](https://www.gemboxsoftware.com/document)
- [Examples](https://www.gemboxsoftware.com/document/examples)
- [Documentation](https://www.gemboxsoftware.com/document/docs/introduction.html)
- [API Reference](https://www.gemboxsoftware.com/document/docs/GemBox.Document.html)
- [Forum](https://forum.gemboxsoftware.com/c/gembox-document/6)
- [Blog](https://www.gemboxsoftware.com/gembox-document)
